package uniandes.cupi2.cupiCava.ordenamiento;

import java.util.Comparator;

import uniandes.cupi2.cupiCava.mundo.Vino;

/**
 * Comparador de vinos segn su ao de elaboracin
 * @author alvar-go
 *
 */
public class ComparadorVinoAnho implements Comparator<Vino> {

    /**
     * Compara dos vinos segn el ao de elaboracin. <br>
     * @param pVino Vino contra el cual se est comparando. pVino !=null.
     * @return Retorna 0 si los vinos tienen el mismo ao de elaboracin. <br>
     *         Retorna -1 si el vino v2 tiene un valor "MAYOR" para el ao de elaboracin. <br>
     *         Retorna 1 si el vino v2 tiene un valor "MENOR" para el ao de elaboracin. <br>
     */
	public int compare(Vino v1, Vino v2) {
		// TODO 13.A Completar segn dcoumentacin
	}

}
