package uniandes.cupi2.cupiCava.test;

import java.util.Comparator;

import uniandes.cupi2.cupiCava.mundo.ColorVino;
import uniandes.cupi2.cupiCava.mundo.PresentacionVino;
import uniandes.cupi2.cupiCava.mundo.Vino;
import uniandes.cupi2.cupiCava.ordenamiento.Comparador;
import junit.framework.TestCase;

/**
 * Clase encargada de probar las clases comparadoras
 * @author alvar-go
 *
 */
public class ComparadorTest extends TestCase {

	/**
     * Clase donde se harn las pruebas.
     */
    private Vino vino1;

	/**
     * Clase donde se harn las pruebas.
     */
    private Vino vino2;

    /**
     * Clase donde se harn las pruebas.
     */
    private Vino vino3;

    /**
     * Clase donde se harn las pruebas.
     */
    private Vino vino4;
    
    /**
     * Escenario 1: Construye cuatro vinos
     */
    public void setup( )
    {
    	//TODO 	10.A Cree el escenario para probar los comparadores de vinos
    	//		vino1 = nombre1, Barril, 1991, Blanco, lugar1, imagen1
    	//		vino2 = nombre2, Botella, 1992, Rosado, lugar2, imagen2
    	//		vino3 = nombre3, Botella, 1993, Tinto, lugar3, imagen3
    	//		vino4 = nombre1, Barril, 1991, Blanco, lugar1, imagen1
    }
    
	  /**
     * Prueba 1: Se encarga de verificar el mtodo compare de cada uno de los comparadores disponibles.<br>
     * <b> Mtodos a probar: </b> <br>
     * compare<br>
     * <b> Casos de prueba:</b><br>
     * 1. El vino1 es igual al vino4.<br>
     * 2. El vino1 es menor al vino2.<br>
     * 3. El vino3 es mayor al vino2.
     */
    public void testCompare( )
    {
        //Itera sobre todos los comparadores registrados
    	for (Comparador c : Comparador.values()) 
    	{
    		//Recupera el comparator asociado al elemento actual de la enumeracin
    		Comparator<Vino> comparator = c.darComparator();
    		
    		//TODO 	10.B Verifique que el comparador comparator compara correctamente los vinos
    		//		Revise los tres casos presentados en la documentacin	
    		
		}
    }
}
